/* CSS styles for rōnin. */

@font-face {
    font-family: 'Amiga Topaz';
    src: url('../fonts/Topaz_a1200_v1.0.ttf') format('truetype');
    font-size: 16px;
}

@font-face {
    font-family: 'Amiga Topaz Plus';
    src: url('../fonts/TopazPlus_a1200_v1.0.ttf') format('truetype');
    font-size: 16px;
}

html {
    margin: 0;
    padding: 0;
}

body {
    font-family: sans-serif;
    /* background-color: #242424; */
    background-color: #343434;
    /* color: #979797; */
    color: #b3b3b3;
}

h1, h2 {
    margin-top: 0.1 em;
    margin-bottom: 0.1 em;
    text-align: center;
    text-shadow: 2px 2px #000;
}

h1 {
    color: #cc0;
}

.columns {
    flex-direction: row;
    flex-wrap: nowrap;
    display: flex;
    width: 98%;
}
.column {
    flex: 50%;
    display: block;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

#canvas {
    padding: 0;
    border: 0px none;
    width: 640px;
    height: 480px;
    background-color: black;
    image-rendering: pixelated;
}

div#output,
textarea#output {
    overflow-x: hidden;
    overflow-y: scroll;
    border: 1px solid #454545;
    border-radius: 8px;
    padding: 8px;
    width: 100%;
    /* width: 400px !important; */
    /* height: 100%; */
    height: 80vh;
    background-color: #1e1e1e;
    /* color: #979797; */
    font-family: monospace;
    text-align: left;
    text-overflow: ellipsis;
}

div#output {
    white-space: nowrap;
}

/* div#output {
    outline: none;
    box-shadow: none;
    white-space: pre;
} */

textarea#output {
    resize: none;
}

#buttons {
    margin-top: 1rem;
}

#status {
    display: none;
}

input[type=button] {
    padding: 2px 10px;
    border-color: #fff #000 #000 #fff;
    background-color: #adadad;
    color: #000;
    font-family: 'Amiga Topaz', monospace;
}

input[type=button]:active {
    border-color: #000 #fff #fff #000;
    background-color: #638cbd;
}

/* input[type=button]:hover {
} */

/* vim: set sts=4 et sw=4: */
